
.settings{
    display: flex;
    max-width: max-content;
    margin: 0 auto;
}

.subsettings{
    margin: 0 auto;
    margin-left: 1em;
    margin-right: 1em;
    min-width: max-content;
}

.subsettings-title{
    font-weight: bold;
    font-size: 0.7em;
    margin-bottom: 0.3em;
}

.subsettings-item{
    font-size: 0.6em;
    padding-left: 0.8em;
}

/* Checkbox Design*/

.container {
    display: block;
    position: relative;
    padding-left: 1.5em;
    margin-bottom: 0.3em;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    text-align: left;
  }
  
  .container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }
  
  .checkmark {
    position: absolute;
    top: 0.15em;
    left: 0;
    height: 0.8em;
    width: 0.8em;
    background-color: none;
    border: 1.5px solid white
  }
  
  .container:hover input ~ .checkmark {
    background-color: rgba(255, 255, 255, 0.2);
  }
  
  .container input:checked ~ .checkmark {
    background-color:none;
  }
  
  .checkmark:after {
    content: "";
    position: absolute;
    display: none;
  }

  .container input:checked ~ .checkmark:after {
    display: block;
  }
  
  .container .checkmark:after {
    left: 0.29em;
    top: 0.12em;
    width: 0.15em;
    height: 0.35em;
    border: solid white;
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
  }